@echo off
rem ----------------------------------------------------------------
rem xqbridge.bat - Command-line script for running the XQuark Bridge
rem ----------------------------------------------------------------

rem ** OS specific init ********************************************************

if not "%OS%"=="Windows_NT" goto DOSinit
:NTinit
setlocal

rem %~dp0 is the absolute path of current script with NT family
if %XQBRIDGE_HOME%a==a set XQBRIDGE_HOME=%~dp0..

rem Need to check if we are using the NT4 shell...
if "%@eval[2+2]" == "4" goto NT4init

rem On NT/2K grab all arguments at once
set ARGS=%*
goto initOK

:NT4init
set ARGS=%$
goto initOK

:DOSinit
rem Builds a single string for all scripts arguments (Windows 9x family only)

set ARGS=

:loopArgs
if %1a==a goto initOK
set ARGS=%ARGS% %1
shift
goto loopArgs

:initOK

rem ** Check XQBRIDGE_HOME variable is set *************************************
if not %XQBRIDGE_HOME%a==a goto checkJVM
echo.
echo ERROR: XQBRIDGE_HOME is not set and XQuark Bridge could not be located.
echo.
goto end

rem ** Locate JVM **************************************************************
:checkJVM

if %JAVA_HOME%a==a goto setJava
set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA%.exe" goto setCP
echo.
echo ERROR: "%JAVA%.exe" not found. Please check JAVA_HOME value.
echo.
goto end

:setJava

if %JAVA%a==a set JAVA=java
echo.
echo WARNING: JAVA_HOME not set. Trying with java.exe found in the execution path.
echo.

rem ** Set classpath ***********************************************************
:setCP

set CP=%XQBRIDGE_HOME%\bin\;%XQBRIDGE_HOME%\lib\xquark-bridge.jar;.
if not %XQ_CLASSPATH%a==a set CP=%CP%;%XQ_CLASSPATH%
if not %CLASSPATH%a==a set CP=%CP%;%CLASSPATH%
rem Third-party libraries
set CP=%CP%;%XQBRIDGE_HOME%\lib\crimson.jar
set CP=%CP%;%XQBRIDGE_HOME%\lib\mysql-connector-java-3.0.9-stable-bin.jar

rem ** Run XQuark Bridge *******************************************************
"%JAVA%" -classpath "%CP%" org.xquark.bridge.XQBridge %ARGS%
goto end

:end
set CP=
set JAVA=
set ARGS=

if "%OS%"=="Windows_NT" endlocal
