@echo off
rem ----------------------------------------------------------------
rem          Command-line script for running the sample
rem ----------------------------------------------------------------

rem ** OS specific init ********************************************************

if not "%OS%"=="Windows_NT" goto initOK
:NTinit
setlocal

rem %~dp0 is the absolute path of current script with NT family
if %XQBRIDGE_HOME%a==a set XQBRIDGE_HOME=%~dp0..\..\..

:initOK

rem ** Check XQBRIDGE_HOME variable is set *************************************
if not %XQBRIDGE_HOME%a==a goto checkJVM
echo.
echo ERROR: XQBRIDGE_HOME is not set and XQuark Bridge could not be located.
echo.
goto end

rem ** Locate JVM **************************************************************
:checkJVM

if %JAVA_HOME%a==a goto setJava
set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA%.exe" goto setCP
echo.
echo Error: "%JAVA%.exe" not found. Please check JAVA_HOME value.
echo.
goto end

:setJava

if %JAVA%a==a set JAVA=java
echo.
echo WARNING: JAVA_HOME not set. Trying with java.exe found in the execution path.
echo.

rem ** Set classpath ***********************************************************
:setCP

set CP=.;%XQBRIDGE_HOME%\lib\xquark-bridge.jar
if not %XQ_CLASSPATH%a==a set CP=%CP%;%XQ_CLASSPATH%
if not %CLASSPATH%a==a set CP=%CP%;%CLASSPATH%
rem Third-party libraries
set CP=%CP%;%XQBRIDGE_HOME%\lib\crimson.jar
set CP=%CP%;%XQBRIDGE_HOME%\lib\mysql-connector-java-3.0.9-stable-bin.jar

rem ** Run Main *******************************************************
"%JAVA%" -classpath "%CP%" Main %1 %2
goto end

:end
set CP=
set JAVA=

if "%OS%"=="Windows_NT" endlocal
